Package org.apache.lucene.internal.vectorization

# Class PostingDecodingUtil

java.lang.Object
org.apache.lucene.internal.vectorization.PostingDecodingUtil

public class PostingDecodingUtil extends Object
Utility class to decode postings.

## Field Summary

Fields
Modifier and Type
Field
Description
`final IndexInput`
`in`
The wrapper `IndexInput`.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`PostingDecodingUtil(IndexInput in)`
Sole constructor, called by sub-classes.

## Method Summary

Modifier and Type
Method
Description
`void`
`splitLongs(int count, long[] b, int bShift, int dec, long bMask, long[] c, int cIndex, long cMask)`
Core methods for decoding blocks of docs / freqs / positions / offsets.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### in

public final IndexInput in
The wrapper `IndexInput`.

## Constructor Details

### PostingDecodingUtil

protected PostingDecodingUtil(IndexInput in)
Sole constructor, called by sub-classes.

## Method Details

### splitLongs

public void splitLongs(int count, long[] b, int bShift, int dec, long bMask, long[] c, int cIndex, long cMask) throws IOException
Core methods for decoding blocks of docs / freqs / positions / offsets.

- Read `count` longs.
- For all `i` >= 0 so that `bShift - i * dec` > 0, apply shift `bShift - i * dec` and store the result in `b` at offset `count * i`.
- Apply mask `cMask` and store the result in `c` starting at offset `cIndex`.

Throws:
  `IOException`